var sLevel;
var sLongLevel;
var sMenuLang;

function onKeyDown(oThis, oEvent) {
//    if (event.keyCode == 13) // event.which
	if (oEvent.which) {
	    if (oEvent.which == 13) // event.which
	    	goToSymbol();
	} else
	    if (oEvent.keyCode == 13) // event.which
	    	goToSymbol();
}

function goPrint() {
	var sURL = parent.frames['main'].location.href;
	window.open(sURL, '_blank', 'statusbar=no,toolbar=no,menubar=yes,location=no,scrollbars=yes,resize=yes');	
} 

function commonJumpToIllu(sSymbol, sIllustrations, sPath) {
	document.open();
	document.write('<html>\n');
	document.write('<body>\n');
	for (var x = 1; x <= sIllustrations; x++) {
		document.write('Formula ' + x + '&nbsp; &nbsp;');
		document.write('<img src="' + sPath + '/' + sSymbol + '_' + (x-1) + '.gif' + '"><br>');
	}

	document.write('</body>\n');
	document.write('</html>');
	document.close();	
}

function getCurrentSymbol() {
	//***return idSymbol.value;
	return document.getElementById('idSymbol').value;
}
function getCurrentVersion() {
	//***return idEdition.value;
	return document.getElementById('idEdition').value;
}

function setCurrentSymbol(sValue) {
	//**idSymbol.value = sValue;
	document.getElementById('idSymbol').value = sValue;
}
function setCurrentVersion(sValue) {
	//**idEdition.value = sValue;
	document.getElementById('idEdition').value = sValue;
}
function setRadioValue(sValue) {
	//**idHidden.value = sValue;
	document.getElementById('idHidden').value = sValue;
}

function getRadioValue() {
	var sValue = document.getElementById('idHidden').value;
	
	if (sValue != null && sValue != '')
		//**return idHidden.value;
		return document.getElementById('idHidden').value; 
	else
		return 'HTML';
}

function setLevel(sValue) {
	sLevel = sValue;	 
}

function getLevel() {
	return sLevel;
}

function init(sValue4Lang) {
	// Set the edition
	document.getElementById('idEdition').value = sDefaultEdition;
	// Set default level
	sLevel = sDefaultLevel;
	if (sDefaultLevel == 'c') {
        sLongLevel = 'core';  
		document.getElementById('idLevelC').checked = true;
		if (enableOtherLevel == 'no') {  
            document.getElementById('idLevelA').disabled = true;
        }
            
	}
	else {
		sLongLevel = 'advanced';
        document.getElementById('idLevelA').checked = true;
        if (enableOtherLevel == 'no') {  
            document.getElementById('idLevelC').disabled = true;
        }
	}
	
	// Set default lang
	sMenuLang = sValue4Lang;
	
	goToSymbol();
		
}

function decodeSymbol(sSymbol) {
	var sData = sSymbol.substr(0, 4);
	if (sSymbol.length > 4) {
		sData += ' ' +Number(sSymbol.substr(4, 4));
		sTemp = sSymbol.substr(8);
		iPos = sTemp.length;
		while (iPos > 2 && sTemp.charAt(iPos -1) == '0')
			iPos--;
		var sTemp = String(sTemp.substr(0, iPos));
		switch (sTemp.length) {
			case 0:
				sTemp = '00';
				break;
			case 1:
				sTemp = '0' +sTemp;
				break;
		}
		sData += '/' +sTemp;
	}
	return sData;
}

function addZeros(iNum, iMinSize) {
	var sNum = String(iNum);
	while (sNum.length < iMinSize)
		sNum = '0' +sNum;
	return sNum;
}

function encodeSymbol(sSymbol) {
    //01234567890123
	//A01N0003040000
	sSymbol = sSymbol.replace(/ /g, '');
	var sData = sSymbol.substr(0, 4);
	var bError = false;

	switch (sSymbol.length) {
		case 0:
			break;
		case 1:
			bError = !sData.match(/^[A-H]/i);
			break;
		case 2:
			bError = true;
			break;
		case 3:
			bError = !sData.match(/^[A-H][0-9]{2}/i);
			break;
		case 4:
			bError = !sData.match(/^[A-H][0-9]{2}[A-Z]/i);
			break;
		case 14:
			bError = !sSymbol.match(/^[A-H][0-9]{2}[A-Z][0-9]{10}/i);
			sData = sSymbol;
			break;
		default:
			if (sSymbol.match(/^[A-H][0-9]{2}[A-Z][0-9]{5}/i)) {
				try {
					var iNum1 = Number(sSymbol.substr(4, 3));
					var sNum2 = sSymbol.substr(7, 2);
					var iNum2 = Number(sNum2);
					bError = isNaN(iNum1) || isNaN(iNum2);
					if (!bError) {
						sData += addZeros(iNum1, 4) +addZeros(sNum2, 2);
						while (sData.length < 14)
							sData += '0';
					}
				} catch(e) {
					bError = true;
				}
			} else {
				var iPos = sSymbol.indexOf('/');
				bError = iPos == -1;
				if (!bError) {
					try {
						var iNum1 = Number(sSymbol.substring(4, iPos));
						var sNum2 = sSymbol.substr(iPos +1);
						var iNum2 = Number(sNum2);
						bError = isNaN(iNum1) || isNaN(iNum2);
						if (!bError) {
							sData += addZeros(iNum1, 4) +addZeros(sNum2, 2);
							while (sData.length < 14)
								sData += '0';
						}
					} catch(e) {
						bError = true;
					}
				}
			}
			break;
	}

	if (bError){
			var v = sMsgInvalidIPCFormat;
			var e = new Error(v); // workaround: new Error(v) does not work
			e.message = v;
		throw e;
	}
	return sData.toUpperCase();
}

// temporal solution
var advancedsub=",a01b,a01c,a01d,a01f,a01g,a01h,a01j,a01k,a01l,a01m,a01n,a01,a01p,a21b,a21c,a21d,a21,a22b,a22c,a22,a23b,a23c,a23d,a23f,a23g,a23j,a23k,a23l,a23n,a23,a23p,a24b,a24c,a24d,a24f,a24,a41b,a41c,a41d,a41f,a41g,a41h,a41,a42b,a42c,a42,a43b,a43c,a43d,a43,a44b,a44c,a44,a45b,a45c,a45d,a45f,a45,a46b,a46d,a46,a47b,a47c,a47d,a47f,a47g,a47h,a47j,a47k,a47l,a47,a61b,a61c,a61d,a61f,a61g,a61h,a61j,a61k,a61l,a61m,a61n,a61,a61p,a61q,a62b,a62c,a62d,a62,a63b,a63c,a63d,a63f,a63g,a63h,a63j,a63k,a63,a99,a99z,a,b01b,b01d,b01f,b01j,b01l,b01,b02b,b02c,b02,b03b,b03c,b03d,b03,b04b,b04c,b04,b05b,b05c,b05d,b05,b06b,b06,b07b,b07c,b07,b08b,b08,b09b,b09c,b09,b21b,b21c,b21d,b21f,b21g,b21h,b21j,b21k,b21l,b21,b22c,b22d,b22f,b22,b23b,b23c,b23d,b23f,b23g,b23h,b23k,b23,b23p,b23q,b24b,b24c,b24d,b24,b25b,b25c,b25d,b25f,b25g,b25h,b25j,b25,b26b,b26d,b26f,b26,b27b,b27c,b27d,b27f,b27g,b27h,b27j,b27k,b27l,b27m,b27n,b27,b28b,b28c,b28d,b28,b29b,b29c,b29d,b29k,b29l,b29,b30b,b30,b31b,b31c,b31d,b31f,b31,b32b,b32,b33,b33y,b41b,b41c,b41d,b41f,b41g,b41j,b41k,b41l,b41m,b41n,b41,b42b,b42c,b42d,b42f,b42,b43k,b43l,b43m,b43,b44b,b44c,b44d,b44f,b44,b60b,b60c,b60d,b60f,b60g,b60h,b60j,b60k,b60l,b60m,b60n,b60,b60p,b60q,b60r,b60s,b60t,b60v,b60w,b61b,b61c,b61d,b61f,b61g,b61h,b61j,b61k,b61l,b61,b62b,b62c,b62d,b62h,b62j,b62k,b62l,b62m,b62,b63b,b63c,b63g,b63h,b63j,b63,b64b,b64c,b64d,b64f,b64g,b64,b65b,b65c,b65d,b65f,b65g,b65h,b65,b66b,b66c,b66d,b66f,b66,b67b,b67c,b67d,b67,b68b,b68c,b68f,b68g,b68,b81b,b81c,b81,b82b,b82,b82y,b99,b99z,b,c01b,c01c,c01d,c01f,c01g,c01,c02f,c02,c03b,c03c,c03,c04b,c04,c05b,c05c,c05d,c05f,c05g,c05,c06b,c06c,c06d,c06f,c06,c07b,c07c,c07d,c07f,c07g,c07h,c07j,c07k,c07,c08b,c08c,c08f,c08g,c08h,c08j,c08k,c08l,c08,c09b,c09c,c09d,c09f,c09g,c09h,c09j,c09k,c09,c10b,c10c,c10f,c10g,c10h,c10j,c10k,c10l,c10m,c10n,c10,c11b,c11c,c11d,c11,c12c,c12f,c12g,c12h,c12j,c12l,c12m,c12n,c12,c12p,c12q,c12r,c13b,c13k,c13,c14b,c14c,c14,c21b,c21c,c21d,c21,c22b,c22c,c22f,c22,c23c,c23d,c23f,c23g,c23,c25b,c25c,c25d,c25f,c25,c30b,c30,c40b,c40,c99,c99z,c,d01b,d01c,d01d,d01f,d01g,d01h,d01,d02g,d02h,d02j,d02,d03c,d03d,d03j,d03,d04b,d04c,d04d,d04g,d04h,d04,d05b,d05c,d05,d06b,d06c,d06f,d06g,d06h,d06j,d06l,d06m,d06n,d06,d06p,d06q,d07b,d07,d21b,d21c,d21d,d21f,d21g,d21h,d21j,d21,d99,d99z,d,e01b,e01c,e01d,e01f,e01h,e01,e02b,e02c,e02d,e02f,e02,e03b,e03c,e03d,e03f,e03,e04b,e04c,e04d,e04f,e04g,e04h,e04,e05b,e05c,e05d,e05f,e05g,e05,e06b,e06c,e06,e21b,e21c,e21d,e21f,e21,e99,e99z,e,f01b,f01c,f01d,f01k,f01l,f01m,f01n,f01,f01p,f02b,f02c,f02d,f02f,f02g,f02k,f02m,f02n,f02,f02p,f03b,f03c,f03d,f03g,f03h,f03,f04b,f04c,f04d,f04f,f04,f15b,f15c,f15d,f15,f16b,f16c,f16d,f16f,f16g,f16h,f16j,f16k,f16l,f16m,f16n,f16,f16p,f16s,f16t,f17b,f17c,f17d,f17,f21h,f21k,f21l,f21,f21s,f21v,f21w,f21y,f22b,f22d,f22g,f22,f23b,f23c,f23d,f23g,f23h,f23j,f23k,f23l,f23m,f23n,f23,f23q,f23r,f24b,f24c,f24d,f24f,f24h,f24j,f24,f25b,f25c,f25d,f25j,f25,f26b,f26,f27b,f27d,f27,f28b,f28c,f28d,f28f,f28g,f28,f41a,f41b,f41c,f41f,f41g,f41h,f41j,f41,f42b,f42c,f42d,f42,f99,f99z,files.txt,f,g01b,g01c,g01d,g01f,g01g,g01h,g01j,g01k,g01l,g01m,g01n,g01,g01p,g01q,g01r,g01s,g01t,g01v,g01w,g02b,g02c,g02f,g02,g03b,g03c,g03d,g03f,g03g,g03h,g03,g04b,g04c,g04d,g04f,g04g,g04,g04r,g05b,g05d,g05f,g05g,g05,g06c,g06d,g06e,g06f,g06g,g06j,g06k,g06m,g06n,g06,g06q,g06t,g07b,g07c,g07d,g07f,g07g,g07,g08b,g08c,g08g,g08,g09b,g09c,g09d,g09f,g09g,g09,g10b,g10c,g10d,g10f,g10g,g10h,g10k,g10l,g10,g11b,g11c,g11,g12b,g12,g21b,g21c,g21d,g21f,g21g,g21h,g21j,g21k,g21,g99,g99z,g,h01b,h01c,h01f,h01g,h01h,h01j,h01k,h01l,h01m,h01,h01p,h01q,h01r,h01s,h01t,h02b,h02g,h02h,h02j,h02k,h02m,h02n,h02,h02p,h02s,h03b,h03c,h03d,h03f,h03g,h03h,h03j,h03k,h03l,h03m,h03,h04b,h04h,h04j,h04k,h04l,h04m,h04n,h04,h04q,h04r,h04s,h04w,h05b,h05c,h05f,h05g,h05h,h05k,h05,h99,h99z,h";
var coresub=",a01b,a01c,a01d,a01f,a01g,a01h,a01j,a01k,a01l,a01m,a01n,a01,a01p,a21b,a21c,a21d,a21,a22b,a22c,a22,a23b,a23c,a23d,a23f,a23g,a23j,a23k,a23l,a23n,a23,a23p,a24b,a24c,a24d,a24f,a24,a41b,a41c,a41d,a41f,a41g,a41h,a41,a42b,a42c,a42,a43b,a43c,a43d,a43,a44b,a44c,a44,a45b,a45c,a45d,a45f,a45,a46b,a46d,a46,a47b,a47c,a47d,a47f,a47g,a47h,a47j,a47k,a47l,a47,a61b,a61c,a61d,a61f,a61g,a61h,a61j,a61k,a61l,a61m,a61n,a61,a61p,a61q,a62b,a62c,a62d,a62,a63b,a63c,a63d,a63f,a63g,a63h,a63j,a63k,a63,a99,a99z,a,b01b,b01d,b01f,b01j,b01l,b01,b02b,b02c,b02,b03b,b03c,b03d,b03,b04b,b04c,b04,b05b,b05c,b05d,b05,b06b,b06,b07b,b07c,b07,b08b,b08,b09b,b09c,b09,b21b,b21c,b21d,b21f,b21g,b21h,b21j,b21k,b21l,b21,b22c,b22d,b22f,b22,b23b,b23c,b23d,b23f,b23g,b23h,b23k,b23,b23p,b23q,b24b,b24c,b24d,b24,b25b,b25c,b25d,b25f,b25g,b25h,b25j,b25,b26b,b26d,b26f,b26,b27b,b27c,b27d,b27f,b27g,b27h,b27j,b27k,b27l,b27m,b27n,b27,b28b,b28c,b28d,b28,b29b,b29c,b29d,b29k,b29l,b29,b30b,b30,b31b,b31c,b31d,b31f,b31,b32b,b32,b33,b33y,b41b,b41c,b41d,b41f,b41g,b41j,b41k,b41l,b41m,b41n,b41,b42b,b42c,b42d,b42f,b42,b43k,b43l,b43m,b43,b44b,b44c,b44d,b44f,b44,b60b,b60c,b60d,b60f,b60g,b60h,b60j,b60k,b60l,b60m,b60n,b60,b60p,b60q,b60r,b60s,b60t,b60v,b60w,b61b,b61c,b61d,b61f,b61g,b61h,b61j,b61k,b61l,b61,b62b,b62c,b62d,b62h,b62j,b62k,b62l,b62m,b62,b63b,b63c,b63g,b63h,b63j,b63,b64b,b64c,b64d,b64f,b64g,b64,b65b,b65c,b65d,b65f,b65g,b65h,b65,b66b,b66c,b66d,b66f,b66,b67b,b67c,b67d,b67,b68b,b68c,b68f,b68g,b68,b81b,b81c,b81,b82b,b82,b82y,b99,b99z,b,c01b,c01c,c01d,c01f,c01g,c01,c02f,c02,c03b,c03c,c03,c04b,c04,c05b,c05c,c05d,c05f,c05g,c05,c06b,c06c,c06d,c06f,c06,c07b,c07c,c07d,c07f,c07g,c07h,c07j,c07k,c07,c08b,c08c,c08f,c08g,c08h,c08j,c08k,c08l,c08,c09b,c09c,c09d,c09f,c09g,c09h,c09j,c09k,c09,c10b,c10c,c10f,c10g,c10h,c10j,c10k,c10l,c10m,c10n,c10,c11b,c11c,c11d,c11,c12c,c12f,c12g,c12h,c12j,c12l,c12m,c12n,c12,c12p,c12q,c12r,c13b,c13k,c13,c14b,c14c,c14,c21b,c21c,c21d,c21,c22b,c22c,c22f,c22,c23c,c23d,c23f,c23g,c23,c25b,c25c,c25d,c25f,c25,c30b,c30,c40b,c40,c99,c99z,c,d01b,d01c,d01d,d01f,d01g,d01h,d01,d02g,d02h,d02j,d02,d03c,d03d,d03j,d03,d04b,d04c,d04d,d04g,d04h,d04,d05b,d05c,d05,d06b,d06c,d06f,d06g,d06h,d06j,d06l,d06m,d06n,d06,d06p,d06q,d07b,d07,d21b,d21c,d21d,d21f,d21g,d21h,d21j,d21,d99,d99z,d,e01b,e01c,e01d,e01f,e01h,e01,e02b,e02c,e02d,e02f,e02,e03b,e03c,e03d,e03f,e03,e04b,e04c,e04d,e04f,e04g,e04h,e04,e05b,e05c,e05d,e05f,e05g,e05,e06b,e06c,e06,e21b,e21c,e21d,e21f,e21,e99,e99z,e,f01b,f01c,f01d,f01k,f01l,f01m,f01n,f01,f01p,f02b,f02c,f02d,f02f,f02g,f02k,f02m,f02n,f02,f02p,f03b,f03c,f03d,f03g,f03h,f03,f04b,f04c,f04d,f04f,f04,f15b,f15c,f15d,f15,f16b,f16c,f16d,f16f,f16g,f16h,f16j,f16k,f16l,f16m,f16n,f16,f16p,f16s,f16t,f17b,f17c,f17d,f17,f21h,f21k,f21l,f21,f21s,f21v,f21w,f21y,f22b,f22d,f22g,f22,f23b,f23c,f23d,f23g,f23h,f23j,f23k,f23l,f23m,f23n,f23,f23q,f23r,f24b,f24c,f24d,f24f,f24h,f24j,f24,f25b,f25c,f25d,f25j,f25,f26b,f26,f27b,f27d,f27,f28b,f28c,f28d,f28f,f28g,f28,f41a,f41b,f41c,f41f,f41g,f41h,f41j,f41,f42b,f42c,f42d,f42,f99,f99z,files.txt,f,g01b,g01c,g01d,g01f,g01g,g01h,g01j,g01k,g01l,g01m,g01n,g01,g01p,g01q,g01r,g01s,g01t,g01v,g01w,g02b,g02c,g02f,g02,g03b,g03c,g03d,g03f,g03g,g03h,g03,g04b,g04c,g04d,g04f,g04g,g04,g04r,g05b,g05d,g05f,g05g,g05,g06c,g06d,g06e,g06f,g06g,g06j,g06k,g06m,g06n,g06,g06q,g06t,g07b,g07c,g07d,g07f,g07g,g07,g08b,g08c,g08g,g08,g09b,g09c,g09d,g09f,g09g,g09,g10b,g10c,g10d,g10f,g10g,g10h,g10k,g10l,g10,g11b,g11c,g11,g12b,g12,g21b,g21c,g21d,g21f,g21g,g21h,g21j,g21k,g21,g99,g99z,g,h01b,h01c,h01f,h01g,h01h,h01j,h01k,h01l,h01m,h01,h01p,h01q,h01r,h01s,h01t,h02b,h02g,h02h,h02j,h02k,h02m,h02n,h02,h02p,h02s,h03b,h03c,h03d,h03f,h03g,h03h,h03j,h03k,h03l,h03m,h03,h04b,h04h,h04j,h04k,h04l,h04m,h04n,h04,h04q,h04r,h04s,h04w,h05b,h05c,h05f,h05g,h05h,h05k,h05,h99,h99z,h,";


function mayBeValid( sSymbol,bIsCore )
{

	var sToBeChecked;

	if( sSymbol.length > 4 ){
		sSymbol=sSymbol.substring(0,4);
	}

	return (bIsCore?coresub:advancedsub).indexOf(","+sSymbol+",") >= 0;

}  // mayBeValid

function goToSymbol(sSymbol, sVersion) {
    var bError = false;
        
    // Add symbol
    if (sSymbol == null) {
        try {
            sSymbol = encodeSymbol(getCurrentSymbol());
            if (sSymbol != '' && !mayBeValid(sSymbol.toLowerCase(),sLevel=='c')) {
				bError = true;
				sSymbol='';
				alert('Class or subclass not valid');
			}
        } catch(e) {
            sSymbol = '';
            bError = true;
            alert('IPC symbol not valid or invalid format!');
        }
	}
    if (sVersion == null) {
        try {
            sVersion = getCurrentVersion();
        } catch(e) {
            sSymbol = '';
            bError = true;
            alert('IPC Version not valid or invalid format!');
        }
	}

	if (!bError) {
		var sURLSymbol = sSymbol.replace(/\*/g, '');

	thisFile = window.location+"";
	thisFile = thisFile.substr(0, thisFile.lastIndexOf('/')+1).toUpperCase();
		
	if (getRadioValue()=='HTML') { 
		gotoSymbolInHTML(sURLSymbol, sSymbol);
	}
	else if (getRadioValue()=='PDF') {

		gotoSymbolInPDF(sURLSymbol, sSymbol);

	}
	else if (getRadioValue()=='Int') {
		gotoSymbolInInternet(sURLSymbol, sSymbol, sVersion);
	}	
/*	if (thisFile.indexOf(sURL) == -1) {
		sURL = thisFile + sURL;
	}*/
} 

function gotoSymbolInHTML(sURLSymbol, sSymbol) {
	var sOrigSymbol = sSymbol;  
	var sURL = (getLevel() == 'c') ? sScheme_Split_Core_Path : sScheme_Split_Adv_Path;
	sURL += '/';
	
	if (sURLSymbol == '') { // Index		  
		  setCurrentSymbol('');		  
		  sURL += 'index.htm';
		  parent.frames['main'].location.href = sURL;
	} else { // Normal symbol (not an index)

		if (sSymbol.length < 5)
			if( sOrigSymbol!=null || sSymbol.length==1){
				sSymbol = sURLSymbol +'*';
			}

		    sTemp = sURLSymbol.toUpperCase();
		    var sVisibleSymbol = decodeSymbol(sTemp);
		    setCurrentSymbol(sVisibleSymbol);

		    if( sOrigSymbol != null && sOrigSymbol.indexOf('*') > 0 ){
			    sURL += sTemp.substr(0, 4) +'.htm';
		    }
		    else{
			switch (sURLSymbol.length) {
				case 1:
					sURL += sTemp.substr(0, 1) +'.htm';
					break;
				case 3:				
					sURL += sTemp.substr(0, 3) +'.htm#' + sTemp;
					break;
				default:					
					sURL += sTemp.substr(0, 4) +'.htm#' + sTemp;
					break;
				/*default:					
					sURL += sTemp.substr(0, 4) +'.htm#' + sTemp.substr(0, 4);
					break;*/
			}
		    }
		    parent.frames['main'].location.href = sURL;		    
		}
	}
}

function gotoSymbolInPDF(sURLSymbol, sSymbol) {
	var sOrigSymbol = sSymbol.toLowerCase();
	var sURL;
	
	if (sURLSymbol == '') { // There is not Index in PDF, so we show the HTM		  
		  setCurrentSymbol('');
		  
		  sURL = (getLevel() == 'c') ? sScheme_Split_Core_Path : sScheme_Split_Adv_Path;
		  sURL += 'index.htm';
		  parent.frames['main'].location.href = sURL;		  
	} 
	else { // Normal symbol (not an index)
		
	    sTemp = sURLSymbol.toLowerCase();
	    var sVisibleSymbol = decodeSymbol(sTemp);
	    setCurrentSymbol(sVisibleSymbol);

	    if (getLevel() == 'c') {
		    sURL = sPDF_Core_Path + '/ipcr_' + sDefaultLang + '_' + sSymbol.substr(0, 1).toLowerCase() + '_core_' + sDefaultCoreEdition.substr(0, 4) + '.pdf';	
	    }
	    else {	// Advanced level
		    sURL = sPDF_Adv_Path + '/';
		    if (sURLSymbol.length > 4){
			    sURL += sTemp.substr(0, 4) +'.pdf';
			    }
		    else{
			    if (sURLSymbol.length == 1){
				   sURL = sURL + 'ipc_' + sDefaultLang + '_' + sSymbol.substr(0, 1).toLowerCase() + '_full_ipc_' + getCurrentVersion() + '.pdf';
				    
				}
				else{
					sURL += sTemp +'.pdf';
				}
			}
	    }
	    window.open(sURL, '_blank', 'statusbar=no,toolbar=no,menubar=yes,location=no,scrollbars=yes,resize=yes');
	}
}

function gotoSymbolInInternet(sURLSymbol, sSymbol, sVersion) {  
	
	var sURL = sInternetParam + '?menulang=' + sMenuLang.toUpperCase() + '&lang=' + sDefaultLang;
	if (sURLSymbol == '') { // Index		  
		  setCurrentSymbol('');
		  
		  sURL += '/index.php';		  
	} else { // Normal symbol (not an index)
		sURL += '&symbol=' + sSymbol + '&level=' + sLevel + '&edition=' + sVersion;
		sTemp = sURLSymbol.toUpperCase();
		var sVisibleSymbol = decodeSymbol(sTemp);
		setCurrentSymbol(sVisibleSymbol);
		setCurrentVersion(sVersion);
	}
	window.open(sURL, '_blank', 'statusbar=no,toolbar=yes,menubar=yes,location=yes,scrollbars=yes,resize=yes');
}
